import { STRING, HTMLSTRING } from "../common/field-types.mjs";

const fields = foundry.data.fields;

export default class RdDModelCommerce extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    return {
      pourcentage: new fields.NumberField({ initial: 100, integer: true }),
      illimite: new fields.BooleanField({ initial: false }),
      description: new fields.HTMLField({ initial: "", ...HTMLSTRING }),
      race: new fields.StringField({ initial: "", ...STRING }),
      notesmj: new fields.HTMLField({ initial: "", ...HTMLSTRING }),
    };
  }
}
